Package logilab :: Package common :: Module changelog :: Class Version

[frames] | no frames]

# Class Version

source code

    object --+
             |
         tuple --+
                 |
                Version

    simple class to handle soft version number has a tuple while
    correctly printing it as X.Y.Z

Instance Methods

a new object with type S, a subtype of T

__new__(cls, versionstr) | source code

__str__(self) str(x) | source code

Inherited from `tuple`: `__add__`, `__contains__`, `__eq__`, `__ge__`, `__getattribute__`, `__getitem__`, `__getnewargs__`, `__getslice__`, `__gt__`, `__hash__`, `__iter__`, `__le__`, `__len__`, `__lt__`, `__mul__`, `__ne__`, `__repr__`, `__rmul__`, `count`, `index`

Inherited from `object`: `__delattr__`, `__format__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Methods

parse(cls, versionstr) | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __new__(cls, versionstr)

source code

Returns: a new object with type S, a subtype of T
Overrides: object.__new__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)